Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235573 - Review Request: websec - Web page monitoring software with highlighting
Summary: Review Request: websec - Web page monitoring software with highlighting
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 13:36 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-22 06:36:17 UTC
ville.skytta: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Thorsten Leemhuis 2007-04-07 13:36:24 UTC
Spec URL:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/websec.spec

SRPM URL: 
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/websec-1.9.0-1.src.rpm

Description: 
Web Secretary is a web page change monitoring software. It will detect changes
based on content analysis, making sure that it's not just HTML that changed,
but actual content. You can tell it what to ignore in the page (hit counters
and such), and it can mail you the document with the changes highlighted or
load the highlighted page in a browser.

Notes for the reviewer:
* not using dist on purpose

Comment 1 Ville Skyttä 2007-04-07 17:13:46 UTC
- Even though the dep on smtpdaemon probably pulls in the needed thing, it
sounds incorrect; websec just needs a sendmail executable, not a SMTP daemon ->
change dependency to "MTA" or "/usr/sbin/sendmail"?

- %define debug_package stuff + comment can be removed, this is a noarch package.

- s/mozilla/xdg-open/ in the example url.list?

Comment 2 Thorsten Leemhuis 2007-04-07 17:55:50 UTC
Thanks for the review Ville.

(In reply to comment #1)
> - Even though the dep on smtpdaemon probably pulls in the needed thing, it
> sounds incorrect; websec just needs a sendmail executable, not a SMTP daemon ->
> change dependency to "MTA" or "/usr/sbin/sendmail"?

Changed (there are some packages in Fedora that seem to do it like this, but I'm
not sure if they need a daemon or just /usr/sbin/sendmail)

 
> - %define debug_package stuff + comment can be removed, this is a noarch package.

Note to myself: make noarch packages noarch first, before looking at the size of
the debuginfo package ;-)
 
> - s/mozilla/xdg-open/ in the example url.list?

Hmmm; I've thought about it a bit, but I think more people know what "mozilla"
is and does than what "xdg-open" does (which is not installed on any of my
Fedora machines...)

= Updated package = 

Spec URL:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/websec.spec

SRPM URL: 
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/websec-1.9.0-2.src.rpm

DIFF URL: 
http://www.leemhuis.info/files/fedorarpms/DIFFS.fdr/websec.diff

Comment 3 Ville Skyttä 2007-04-07 18:02:34 UTC
Approved.

Comment 4 Thorsten Leemhuis 2007-04-07 18:18:16 UTC
(In reply to comment #3)
> Approved.

Thanks Ville

New Package CVS Request
=======================
Package Name: websec
Short Description: Web Secretary - Web page monitoring software with highlighting
Owners: fedora@leemhuis.info
Branches: FC-5 FC-6 EL-4 EL-5

Comment 5 Jochen Schmitt 2007-05-20 17:31:41 UTC
Package Change Request
======================
Package Name: highlight
Updated Fedora Ownders: Jochen@herr-schmitt.de,lxtnow@gmail.com

Comment 6 Thorsten Leemhuis 2007-05-22 06:36:17 UTC
/me wonders what a "Package Change Request" for highlight has to do with websec

/me chooses to not care and just closes the bug again


Note You need to log in before you can comment on or make changes to this bug.